Name: 		lirc
Version: 	0.6.5
Release: 	1
Summary: 	The Linux Infrared Remote Control package.

Group: 		System Environment/Daemons
License: 	GPL
URL: 		http://www.lirc.org/
Vendor:         Dave/Dina <package@davedina.apestaart.org>
Source0: 	http://prdownloads.sourceforge.net/lirc/%{name}-%{version}.tar.bz2
Source1: 	lircd.init
Source2: 	lircd.logrotate
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

PreReq: 	/sbin/chkconfig
PreReq:		/sbin/service
Requires:	chkconfig
Requires:	initscripts
Requires:	lirc-driver
BuildRequires: 	perl

%description
LIRC is the Linux Infrared Remote Control package.
This package features a clean lircd initscript and a logrotate config file.

This package depends on lirc-driver, which should provide the kernel modules
you need.

At this point, this is provided by DD-DD-IN-lirc-driver, which has
lirc_sir and lirc_serial compiled against the latest DD kernel.

%prep
%setup -q

%build
%configure \
	--with-driver=any --disable-manage-devices
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 -D %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/lircd
install -m 644 -D %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/lircd
perl -pi -e 's|\@SBINDIR\@|%{_sbindir}|g' $RPM_BUILD_ROOT/etc/init.d/lircd
rm -f doc/Makefile*
touch $RPM_BUILD_ROOT/etc/lircd.conf
touch $RPM_BUILD_ROOT/etc/lircmd.conf

%post
/sbin/chkconfig --add lircd

%preun
if [ $1 = 0 ]; then
/sbin/service lircd stop > /dev/null 2>&1 || :
/sbin/chkconfig --del lircd
fi

%postun
if [ "$1" -ge "1" ]; then
/sbin/service lircd condrestart >/dev/null 2>&1 || :
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ANNOUNCE AUTHORS ChangeLog COPYING NEWS README TODO doc remotes
%doc contrib/*.conf contrib/irman2lirc contrib/lircrc contrib/lircs
/etc/init.d/lircd
/etc/logrotate.d/lircd
%ghost %config(noreplace) /etc/lircd.conf
%ghost %config(noreplace) /etc/lircmd.conf
%{_bindir}/*
%{_sbindir}/*
%{_includedir}/lirc
%{_libdir}/liblirc_*
%{_mandir}/man?/*

%changelog
* Tue Oct 08 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from freshrpms spec
- removed device creation, should be handled in lirc-drivers on in a 
  hardware RPM

* Mon Sep 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to latest pre-version.
- Kernel modules still need to be compiled separately and with a custom
  kernel :-(

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.5.
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Thu Oct  4 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

