Name: 		alsa-driver
Version: 	0.9.0
Release: 	gst.0.2.1
Summary: 	Advanced Linux Sound Architecture Driver

Group:          System/Libraries
License:        LGPL
URL:            http://www.alsa-project.org/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source:         ftp://ftp.alsa-project.org/pub/driver/%{name}-%{version}rc2.tar.bz2
Patch: 		alsa-driver-install-fix.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Requires:	kernel >= 2.4
Requires:	initscripts

# for /boot/kernel.h and /lib/modules/(version)/kernel
BuildRequires:	kernel >= 2.4
BuildRequires:	kernel-source >= 2.4
BuildRequires:	initscripts


%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.
ALSA has the following significant features:

1. Efficient support for all types of audio interfaces,
   from consumer soundcards to professional multichannel audio interfaces.
2. Fully modularized sound drivers.
3. SMP and thread-safe design.
4. User space library (alsa-lib) to simplify application programming and
   provide higher level functionality.
5. Support for the older OSS API, providing binary compatibility for most
   OSS programs.

This package provides the kernel driver for ALSA.

%prep
%setup -n %{name}-%{version}rc2
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
       --with-kernel=/usr/src/linux-2.4 --with-oss=yes
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_includedir}/sound
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/rc.d/init.d

make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}/rc.d/init.d/*
%{_includedir}/*
/lib/modules/*/kernel/*

%changelog
* Sat Jul 13 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from SuSe specs for GStreamer

