Name:		libsndfile
Version:	1.0.1
Release:	2
Summary:	C library for reading and writing sampled sound files 

Group:		Libraries/Multimedia
License:	GPL
URL:		http://www.zip.com.au/~erikd/libsndfile/
Packager:       Thomas Vander Stichele <thomas (at) apestaart (dot) org>
Source:		http://www.zip.com.au/~erikd/libsndfile/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Libsndfile is a C library for reading and writing files containing
sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format)
through one standard library interface.

%package devel
Summary:	libsndfile header files and development documentation
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development libraries and documentation for libsndfile.

#%package octave
#Summary:	libsndfile modules for octave
#Group:		Applications/Math
#Requires:	%{name}
#Requires:	octave
#
#%description octave
#A couple of script files for loading, saving, and playing sound
#files from within Octave.

%prep
%setup -q
%build
# work around man pages being installed in ${prefix}/man
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc NEWS TODO
%{_libdir}/libsndfile.so.*
%{_bindir}/sndfile-info
%{_bindir}/sndfile-play
%{_mandir}/man1/sndfile-info.1*
%{_mandir}/man1/sndfile-play.1*

%files devel
%defattr(-,root,root)
%doc doc/*.html doc/*.jpg doc/*.css
%attr(755,root,root) %{_libdir}/libsndfile.so
%attr(755,root,root) %{_libdir}/libsndfile.a
%{_includedir}/sndfile.h
%{_libdir}/pkgconfig/sndfile.pc

#%files octave
#%defattr(-,root,root)
#%{_datadir}/octave/site/m/*.m

%changelog
* Fri Oct 11 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from PLD spec file
